<div dir="ltr"><div>Dear all,</div><div>I have upgraded to Fedora 30 (from 28) and since then, when I run standalone moin moin server:</div><div>moin --config-dir=/home/rabarbar/PHYS/wiki server standalone</div><div><br></div><div>I get error message:</div><div>2019-06-25 11:05:04,836 INFO MoinMoin.log:151 using logging configuration read from built-in fallback in MoinMoin.log module<br>2019-06-25 11:05:04,836 INFO MoinMoin.log:157 Running MoinMoin 1.9.10 release code from /usr/lib/python2.7/site-packages/MoinMoin<br>Traceback (most recent call last):<br>  File "/usr/bin/moin", line 6, in <module><br>    run()<br>  File "/usr/lib/python2.7/site-packages/MoinMoin/script/moin.py", line 15, in run<br>    MoinScript().run(showtime=0)<br>  File "/usr/lib/python2.7/site-packages/MoinMoin/script/__init__.py", line 138, in run<br>    self.mainloop()<br>  File "/usr/lib/python2.7/site-packages/MoinMoin/script/__init__.py", line 251, in mainloop<br>    from MoinMoin import wikiutil<br>  File "/usr/lib/python2.7/site-packages/MoinMoin/wikiutil.py", line 892, in <module><br>    for name, short, patterns, mime in pygments.lexers.get_all_lexers():<br>  File "/usr/lib/python2.7/site-packages/MoinMoin/support/pygments/lexers/__init__.py", line 53, in get_all_lexers<br>    for lexer in find_plugin_lexers():<br>  File "/usr/lib/python2.7/site-packages/MoinMoin/support/pygments/plugin.py", line 53, in find_plugin_lexers<br>    yield entrypoint.load()<br>  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2411, in load<br>    return self.resolve()<br>  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2417, in resolve<br>    module = __import__(self.module_name, fromlist=['__name__'], level=0)<br>ImportError: No module named IPython.lib.lexers</div><div><br></div><div>I do have Ipython2 installed, however I also have Ipython3 and default Ipython points to version 3... So I suspect the problem somewhere there, but how to deal with it?</div><div><br></div><div>Best! Mariusz<br></div><div><br></div></div>